## audiowiki 1.0.0-2

=== Makefile ===
#############################################################################
# Makefile for building: audiowiki
# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 09:35:11 2011
# Project:  audiowiki.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/phonon -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/phonon_compat -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lphonon -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		articlelist.cpp \
		playlist.cpp \
		player.cpp \
		options.cpp \
		addtoplaylist.cpp \
		playlists.cpp \
		network.cpp \
		xmlparser.cpp \
		datahandler.cpp \
		articleparser.cpp \
		linklist.cpp \
		audio.cpp moc_mainwindow.cpp \
		moc_articlelist.cpp \
		moc_playlist.cpp \
		moc_player.cpp \
		moc_options.cpp \
		moc_addtoplaylist.cpp \
		moc_network.cpp \
		moc_xmlparser.cpp \
		moc_datahandler.cpp \
		moc_articleparser.cpp \
		moc_linklist.cpp \
		moc_audio.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		articlelist.o \
		playlist.o \
		player.o \
		options.o \
		addtoplaylist.o \
		playlists.o \
		network.o \
		xmlparser.o \
		datahandler.o \
		articleparser.o \
		linklist.o \
		audio.o \
		moc_mainwindow.o \
		moc_articlelist.o \
		moc_playlist.o \
		moc_player.o \
		moc_options.o \
		moc_addtoplaylist.o \
		moc_network.o \
		moc_xmlparser.o \
		moc_datahandler.o \
		moc_articleparser.o \
		moc_linklist.o \
		moc_audio.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		deployment.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		audiowiki.pro
QMAKE_TARGET  = audiowiki
DESTDIR       = 
TARGET        = audiowiki

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_articlelist.h ui_playlist.h ui_player.h ui_options.h ui_addtoplaylist.h ui_linklist.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: audiowiki.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		deployment.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libphonon.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile audiowiki.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
deployment.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libphonon.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile audiowiki.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/audiowiki1.0.0 || $(MKDIR) .tmp/audiowiki1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.h articlelist.h playlist.h player.h options.h addtoplaylist.h playlists.h network.h xmlparser.h datahandler.h articleparser.h linklist.h audio.h .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp articlelist.cpp playlist.cpp player.cpp options.cpp addtoplaylist.cpp playlists.cpp network.cpp xmlparser.cpp datahandler.cpp articleparser.cpp linklist.cpp audio.cpp .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.ui articlelist.ui playlist.ui player.ui options.ui addtoplaylist.ui linklist.ui .tmp/audiowiki1.0.0/ && (cd `dirname .tmp/audiowiki1.0.0` && $(TAR) audiowiki1.0.0.tar audiowiki1.0.0 && $(COMPRESS) audiowiki1.0.0.tar) && $(MOVE) `dirname .tmp/audiowiki1.0.0`/audiowiki1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/audiowiki1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp
moc_mainwindow.cpp: articlelist.h \
		playlist.h \
		playlists.h \
		player.h \
		linklist.h \
		audio.h \
		options.h \
		network.h \
		datahandler.h \
		xmlparser.h \
		articleparser.h \
		mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_articlelist.cpp: articlelist.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) articlelist.h -o moc_articlelist.cpp

moc_playlist.cpp: playlists.h \
		playlist.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) playlist.h -o moc_playlist.cpp

moc_player.cpp: linklist.h \
		audio.h \
		player.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) player.h -o moc_player.cpp

moc_options.cpp: options.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) options.h -o moc_options.cpp

moc_addtoplaylist.cpp: addtoplaylist.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) addtoplaylist.h -o moc_addtoplaylist.cpp

moc_network.cpp: datahandler.h \
		xmlparser.h \
		articleparser.h \
		network.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) network.h -o moc_network.cpp

moc_xmlparser.cpp: xmlparser.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) xmlparser.h -o moc_xmlparser.cpp

moc_datahandler.cpp: xmlparser.h \
		articleparser.h \
		datahandler.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) datahandler.h -o moc_datahandler.cpp

## audiowiki 1.0.0-1

=== debian/changelog ===
audiowiki (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

=== debian/control ===
Source: audiowiki
Section: user/multimedia
Priority: extra
Maintainer: Elina Kurkimaki <elina.kurkimaki@codemate.com>
Build-Depends: debhelper (>= 5), libqt4-experimental-dev
Standards-Version: 3.7.2

Package: audiowiki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Listen to Wikipedia Articles
 Search, download and save wikipedia articles to be read by a speech synthetisizer.

## audiowiki 1.0.0-2

=== debian/changelog ===
audiowiki (1.0.0-2) unstable; urgency=low

  * Data handling

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.0-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 09:35:11 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 10:32:13 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.0-3) unstable; urgency=low

  * Data location

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.0-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 10:32:13 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 10:51:26 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.0-4) unstable; urgency=low

  * File location fixing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: Elina Kurkimaki <elina.kurkimaki@codemate.com>
-Build-Depends: debhelper (>= 5), libqt4-experimental-dev
+Build-Depends: debhelper (>= 5), libqt4-experimental-dev, flite
 Standards-Version: 3.7.2
 
 Package: audiowiki

## audiowiki 1.0.0-5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 10:51:26 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 12:25:23 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.0-5) unstable; urgency=low

  * Trying location fixing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.0-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 12:25:23 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 13:29:52 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.0-7) unstable; urgency=low

  * Images

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

=== debian/control ===
Source: audiowiki
Section: user/multimedia
Priority: extra
Maintainer: Elina Kurkimaki <elina.kurkimaki@codemate.com>
Build-Depends: debhelper (>= 5), libqt4-experimental-dev
Standards-Version: 3.7.2

Package: audiowiki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flite
Description: Listen to Wikipedia Articles
 Search, download and save wikipedia articles to be read by a speech synthetisizer.

## audiowiki 1.0.1-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 13:29:52 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 14:43:05 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-1) unstable; urgency=low

  * Flite integration

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 14:43:05 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 15:24:52 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-2) unstable; urgency=low

  * Flite installation, fixed paths

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 15:24:52 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 15:52:31 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-3) unstable; urgency=low

  * Fixed paths

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 21 15:52:31 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 09:14:45 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-4) unstable; urgency=low

  * Fixed flite audio paths, changes icons, fixed current playlistbug

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 09:14:45 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 10:52:27 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-5) unstable; urgency=low

  * Removing playlists

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 10:52:27 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 12:14:04 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-6) unstable; urgency=low

  * Removing playlists, changing voice

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 12:14:04 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:09:02 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-7) unstable; urgency=low

  * New icons

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:09:02 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:24:05 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-8) unstable; urgency=low

  * Resizing playview

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.1-9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:24:05 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:55:27 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.1-9) unstable; urgency=low

  * Playlist editing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-1

=== debian/changelog ===
audiowiki (1.0.2-1) unstable; urgency=low

  * Playlist editing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 13:55:27 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 15:11:43 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-2) unstable; urgency=low

  * Removing playlists

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 15:11:43 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 15:31:58 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-3) unstable; urgency=low

  * Columns in playlistview

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 15:31:58 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 16:16:59 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-4) unstable; urgency=low

  * Columns in playlistview, mainview title

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 22 16:16:59 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 07:47:19 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-5) unstable; urgency=low

  * Mainview title, long press for playlist removal

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 07:47:19 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 08:23:51 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-6) unstable; urgency=low

  * Mainview title, double click for playlist removal, bug fixes

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 08:23:51 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 09:36:57 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-7) unstable; urgency=low

  * Mainview title, bug fixes, buttons to playlists

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 09:36:57 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 10:27:21 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-8) unstable; urgency=low

  * New icons, dialogbox

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 10:27:21 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 10:49:47 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-9) unstable; urgency=low

  * Player resize, dialog box

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 10:49:47 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 11:11:29 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-10) unstable; urgency=low

  * Player resize, dialog box, linkbutton

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 11:11:29 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 11:34:41 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-11) unstable; urgency=low

  * icon, remove removing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jun 23 11:34:41 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 10:29:00 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-12) unstable; urgency=low

  * icon, view indicator

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := audiowiki
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## audiowiki 1.0.2-13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 10:29:00 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 11:19:34 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/phonon -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/phonon_compat -I. -I.
@@ -276,5 +276,3 @@
 moc_datahandler.cpp: xmlparser.h \
 		articleparser.h \
 		datahandler.h
-	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) datahandler.h -o moc_datahandler.cpp
-

=== debian/changelog ===
audiowiki (1.0.2-13) unstable; urgency=low

  * icon

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-14

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 11:19:34 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 12:52:37 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-14) unstable; urgency=low

  * icon

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 12:52:37 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 13:57:17 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/phonon -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/phonon_compat -I. -I.
@@ -56,7 +56,8 @@
 		datahandler.cpp \
 		articleparser.cpp \
 		linklist.cpp \
-		audio.cpp moc_mainwindow.cpp \
+		audio.cpp \
+		reader.cpp moc_mainwindow.cpp \
 		moc_articlelist.cpp \
 		moc_playlist.cpp \
 		moc_player.cpp \
@@ -68,6 +69,7 @@
 		moc_articleparser.cpp \
 		moc_linklist.cpp \
 		moc_audio.cpp \
+		moc_reader.cpp \
 		qrc_resources.cpp
 OBJECTS       = main.o \
 		mainwindow.o \
@@ -83,6 +85,7 @@
 		articleparser.o \
 		linklist.o \
 		audio.o \
+		reader.o \
 		moc_mainwindow.o \
 		moc_articlelist.o \
 		moc_playlist.o \
@@ -95,6 +98,7 @@
 		moc_articleparser.o \
 		moc_linklist.o \
 		moc_audio.o \
+		moc_reader.o \
 		qrc_resources.o
 DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
@@ -208,7 +212,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/audiowiki1.0.0 || $(MKDIR) .tmp/audiowiki1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.h articlelist.h playlist.h player.h options.h addtoplaylist.h playlists.h network.h xmlparser.h datahandler.h articleparser.h linklist.h audio.h .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp articlelist.cpp playlist.cpp player.cpp options.cpp addtoplaylist.cpp playlists.cpp network.cpp xmlparser.cpp datahandler.cpp articleparser.cpp linklist.cpp audio.cpp .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.ui articlelist.ui playlist.ui player.ui options.ui addtoplaylist.ui linklist.ui .tmp/audiowiki1.0.0/ && (cd `dirname .tmp/audiowiki1.0.0` && $(TAR) audiowiki1.0.0.tar audiowiki1.0.0 && $(COMPRESS) audiowiki1.0.0.tar) && $(MOVE) `dirname .tmp/audiowiki1.0.0`/audiowiki1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/audiowiki1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.h articlelist.h playlist.h player.h options.h addtoplaylist.h playlists.h network.h xmlparser.h datahandler.h articleparser.h linklist.h audio.h reader.h .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp articlelist.cpp playlist.cpp player.cpp options.cpp addtoplaylist.cpp playlists.cpp network.cpp xmlparser.cpp datahandler.cpp articleparser.cpp linklist.cpp audio.cpp reader.cpp .tmp/audiowiki1.0.0/ && $(COPY_FILE) --parents mainwindow.ui articlelist.ui playlist.ui player.ui options.ui addtoplaylist.ui linklist.ui .tmp/audiowiki1.0.0/ && (cd `dirname .tmp/audiowiki1.0.0` && $(TAR) audiowiki1.0.0.tar audiowiki1.0.0 && $(COMPRESS) audiowiki1.0.0.tar) && $(MOVE) `dirname .tmp/audiowiki1.0.0`/audiowiki1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/audiowiki1.0.0
 
 
 clean:compiler_clean 
@@ -229,15 +233,16 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp moc_reader.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_articlelist.cpp moc_playlist.cpp moc_player.cpp moc_options.cpp moc_addtoplaylist.cpp moc_network.cpp moc_xmlparser.cpp moc_datahandler.cpp moc_articleparser.cpp moc_linklist.cpp moc_audio.cpp moc_reader.cpp
 moc_mainwindow.cpp: articlelist.h \
 		playlist.h \
 		playlists.h \
 		player.h \
 		linklist.h \
 		audio.h \
+		reader.h \
 		options.h \
 		network.h \
 		datahandler.h \
@@ -255,6 +260,7 @@
 
 moc_player.cpp: linklist.h \
 		audio.h \
+		reader.h \
 		player.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) player.h -o moc_player.cpp
 
@@ -273,6 +279,3 @@
 moc_xmlparser.cpp: xmlparser.h
 	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) xmlparser.h -o moc_xmlparser.cpp
 
-moc_datahandler.cpp: xmlparser.h \
-		articleparser.h \
-		datahandler.h

=== debian/changelog ===
audiowiki (1.0.2-15) unstable; urgency=low

  * threading to audio creating

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 13:57:17 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 14:42:35 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-16) unstable; urgency=low

  * improve threading

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-17

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Mon Jun 27 14:42:35 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 09:11:00 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-17) unstable; urgency=low

  * improve threading

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 09:11:00 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 09:30:27 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-18) unstable; urgency=low

  * playlist

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 09:30:27 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 10:38:56 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-19) unstable; urgency=low

  * playlists

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-20

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 10:38:56 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 12:44:34 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-20) unstable; urgency=low

  * playlists continuing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 12:44:34 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 13:52:03 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-21) unstable; urgency=low

  * no recreating of audiofiles

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-22

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 13:52:03 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 16:06:38 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-22) unstable; urgency=low

  * testing

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-23

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jun 28 16:06:38 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 29 09:57:07 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-23) unstable; urgency=low

  * path

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 29 09:57:07 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 29 10:46:41 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-24) unstable; urgency=low

  * paths

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.2-25

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jun 29 10:46:41 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 08:52:46 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.2-25) unstable; urgency=low

  * paths

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.3-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 08:52:46 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 09:52:22 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.3-1) unstable; urgency=low

  * mainwindow

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.3-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 09:52:22 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 12:51:07 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.3-2) unstable; urgency=low

  * saving to playlist

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.3-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Tue Jul 19 12:51:07 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jul 20 08:56:14 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.3-3) unstable; urgency=low

  * playlist browsing fix

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300

## audiowiki 1.0.3-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: audiowiki
-# Generated by qmake (2.01a) (Qt 4.7.1) on: Wed Jul 20 08:56:14 2011
+# Generated by qmake (2.01a) (Qt 4.7.1) on: Thu Jul 21 09:53:19 2011
 # Project:  audiowiki.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -o Makefile audiowiki.pro

=== debian/changelog ===
audiowiki (1.0.3-4) unstable; urgency=low

  * background

 -- Elina Kurkimaki <elina.kurkimaki@codemate.com>  Mon, 20 Jun 2011 13:08:50 +0300
